<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Features of the Design View
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="General-Object-Editing_7440089.html">General Object Editing</a></span>
              </li>
              <li>
                <span><a href="XML-Editor_7439318.html">XML Editor</a></span>
              </li>
              <li>
                <span><a href="Editor-Field_7439334.html">Editor Field</a></span>
              </li>
              <li>
                <span><a href="Design-View_7439336.html">Design View</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Features of the Design View</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Celia Krause</span>, last modified by <span class="editor">Oliver Schmid</span> on Jun 18, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p class="subsubsectionHead">
              <span class="noindent"><span class="cmbx-10x-x-109"><strong>Add and Edit DTD Information</strong><br/></span></span>
            </p>
            <p>
              <span style="color: rgb(255,0,0);"><span style="color: rgb(0,0,0);">This menu item</span> <span style="color: rgb(0,0,0);">is currently not supported<span style="color: rgb(255,0,0);"> </span></span></span><span style="color: rgb(0,0,0);">. You can</span> convert your DTD to XML schema and associate it by using “XML <span class="cmmi-10x-x-109">&gt;</span> Associate a Schema ...” as a workaround.<span class="paragraphHead"> </span>
            </p>
            <p class="noindent">
              <span class="paragraphHead"><span class="cmbx-10x-x-109"><strong>Add and Edit Schema Information</strong><br/></span></span>
            </p>
            <p class="noindent">
              A namespace can be chosen using the context menu in the Design View. Select “Edit Namespaces...” and the “Edit Schema Information” window will open. The Namespace Declarations consist of a prefix, the namespace name, and a location hint. Click “Add” to continue. In the “Add Namespace Declarations” window you can choose between selecting from a registered namespace or specifying a new one by using the radio buttons. Select registered namespaces by marking the boxes in front of them and clicking “OK”. Alternatively, a new namespace can be specified.
            </p>
            <p class="noindent">
              The chosen namespace declarations will now be shown in the “Edit Schema Information” window. Please click “Edit...”. Enter the required prefix and namespace URI for the namespace declaration. Click “Browse” for a location hint. The “Select File” window will open. Click “OK” or “Cancel” to finish and return to the “Add Namespace Declarations” window.
            </p>
            <p class="noindent">
              As soon as the namespace is specified, finish the operation with “OK”. If no specified namespace should be added, click “Cancel”. This will return you to the “Edit Schema Information” dialog in which the specified namespace that was previously added is now visible.
            </p>
            <p class="noindent">
              Use “Add” to add further namespaces. Select “Edit” to change already added namespaces. Use “Remove” to remove them. Finish the dialog with “Cancel” or “OK” . Once added, namespaces can be edited by right-clicking them and selecting “Edit Namespaces...” The namespace name can also be changed by left-clicking the corresponding field in the Design View.
            </p>
            <p class="noindent">
              <span class="paragraphHead"><span class="cmbx-10x-x-109"><strong>Add and Edit Processing Instructions</strong><br/></span></span>
            </p>
            <p class="noindent">
              Processing Instructions can be included by right-clicking the place where they should be added and selecting “Add Child”, “Add Before” or “Add After” and afterwards “Add Processing Instruction”. This is not possible when right-clicking on attributes in the tree structure. A processing instruction is specified with its target and its data. The "Target" field is used to identify the application to which the instruction belongs. The "Data" field contains the instructions. Click “OK” to add the instruction. An existing processing instruction can be worked on after right-clicking it and choosing “Edit Processing Instruction”. The pop-up window has the same format as the “Add Processing Instruction” window. The data can also be changed by left-clicking the corresponding field in the content column.
            </p>
            <p class="noindent">
              <span class="paragraphHead"><span class="cmbx-10x-x-109"><strong>Add Elements</strong><br/></span></span>
            </p>
            <p class="noindent">
              Right-click the element under which a new element should be added. You must then choose if the new element should be added before or after the right-clicked element or if it should be its child element ("Add Before”, "Add After”, “Add Child”). Then click “New Element...”. Enter the element’s name and press “OK”.
            </p>
            <p class="noindent">
              <strong>Add and Edit Attributes</strong>
            </p>
            <p class="noindent">
              Right-click an element and select “Add Attribute” and “New Attribute”. Enter the name and the value of the attribute and click “OK”. An existing attribute in the Design View Editor Field can be worked on after right-clicking it and choosing “Edit Attribute”. The pop-up window has the same structure as the “Add Attribute” window. The value of the attribute can also be changed by left-clicking the corresponding field in the "Content" column of the Design View.
            </p>
          </div>
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
